
cd "$output"

*Load in FFEIC 031 Commercial Banks Data
use call_data.dta, clear

*Fix dates
gen q_date = qofd(dofc(d_dt))
gen d_date = dofc(d_dt)
order q_date d_date
bysort q_date id_rssd: egen max_d_date = max(d_date)
order q_date d_date max_d_date
keep if max_d_date == d_date
drop max_d_date d_date d_dt
rename q_date date
format date %tq

** Clean Call Report Data
* Drop negative book equity banks
drop if RCONG105 < 0

* Drop observations with small loan share
drop if RCON2170==. | RCON2170==0
gen loan_share = RCON2122/RCON2170

order id_rssd date
sort id_rssd date

gen year = yofd(dofq(date))

duplicates drop id_rssd date, force

save "$temp/other/CBs_only.dta", replace
