
clear all
clc

%% Choose Figures

plot_figures    = ones(1,19);

%plot_figures    = [0,0,0,0,0, ...
%                   0,0,0,0,0, ...
%                   0,0,0,0,0, ...
%                   0,0,0,0];

%% Choose Samples for Figures

% Figure 1
fig_1_startDate   = '1-Aug-1990';
fig_1_endDate     = '31-Dec-2018';

% Figure 2
fig_2_startDate   = '1-Jan-1984';
fig_2_endDate     = '31-Dec-2018';

% Figure 3
fig_3_startDate   = '1-Jan-1961';
fig_3_endDate     = '1-Jan-2017';

% Figure 4
fig_4_startDate   = '1-Oct-1991';
fig_4_endDate     = '31-Dec-2018';

% Figure 5
fig_5_startDate   = '1-Jan-1985';
fig_5_endDate     = '31-Dec-2018';

% Figure 6
fig_6_startDate   = '1-Jan-1984';
fig_6_endDate     = '31-Dec-2018';

% Figure 7
fig_7_startDate   = '1-Jan-1984';
fig_7_endDate     = '31-Dec-2018';

% Figure 8
fig_8_startDate   = '1-Aug-1990';
fig_8_endDate     = '31-Dec-2018';

% Figure 9
fig_9_startDate   = '1-Aug-1990';
fig_9_endDate     = '31-Dec-2018';

% Figure 10
fig_10_startDate   = '1-April-1997';
fig_10_endDate     = '31-Dec-2018';

% Figure 11
fig_11_startDate   = '1-April-1987';
fig_11_endDate     = '31-Dec-2018';

% Figure 12
fig_12_startDate   = '1-July-1986';
fig_12_endDate     = '1-April-2019';

% Figure 13
fig_13_startDate   = '1-July-1986';
fig_13_endDate     = '1-April-2019';

% Figure 14
fig_14_startDate   = '1-July-1986';
fig_14_endDate     = '1-April-2019';

% Figure 15
fig_15_startDate   = '1-Jan-1934';
fig_15_endDate     = '1-Jan-2017';

% Figure 16
fig_16_startDate   = '1-Aug-1990';
fig_16_endDate     = '31-Dec-2007';

% Figure 17
fig_17_startDate   = '1-Jan-1973';
fig_17_endDate     = '31-Dec-2019';

% Figure 18
fig_18_startDate   = '1-Aug-1990';
fig_18_endDate     = '31-Dec-2018';

% Figure 19
fig_19_startDate   = '1-Oct-1991';
fig_19_endDate     = '31-Dec-2018';

%% Load Data

% NIM from FDIC
FDIC        = importtable('Input\Data_Figures.xls','FDIC',2,85);
% Maturity Gap
MG          = importtable('Input\Data_Figures.xls','Mat_gap',2,89);
% Income Gap
IG          = importtable('Input\Data_Figures.xls','Income_Gap',2,129);
% FRED Data
FRED        = importtable('Input\Data_Figures.xls','FRED',2,142);
% Kim and Wright (2005)
KW          = tableout('..\Data\Term Premia\KW_Model.xls','KW_1',2,7162);
KW_EH       = tableout_aer('..\Data\Term Premia\KW_Model.xls','KW_1',2,7162);
KW_Y        = tableout_y('..\Data\Term Premia\KW_Model.xls','KW_1',2,7162);
% Adrian, Crump, Moench(2013)
ACM         = tableout('..\Data\Term Premia\ACM_Model.xls','ACM Daily_1',2,14443);
ACM_2       = tableout('..\Data\Term Premia\ACM_Model.xls','ACM Daily_2',2,14443);
% GZ Data
GZ          = importtable('Input\Data_Figures.xls','GZ_spread',2,565);
% Call Report Income Data
CR = import_margins('Input\Call_Reports_Income_data.xls','sum',2:133);

%% Rearranging Data % Computing Changes

TP_KW           = [KW.TP_2 KW.TP_4 KW.TP_5 KW.TP_10];
TP_KW_month     = retime(KW,'monthly','mean');
TP_KW_quart     = retime(KW,'quarterly','mean');

KW_EH_quart     = retime(KW_EH,'quarterly','mean');
KW_Y_quart      = retime(KW_Y,'quarterly','mean');

TP_ACM          = [ACM.TP_2 ACM.TP_4 ACM.TP_5 ACM.TP_10];
TP_ACM_month    = retime(ACM,'monthly','mean');
TP_ACM_quart    = retime(ACM,'quarterly','mean');
TP_ACM_annual   = retime(ACM,'yearly','mean');

TP_ACM_2           = [ACM_2.TP_2 ACM_2.TP_4 ACM_2.TP_5 ACM_2.TP_10];
TP_ACM_month_rest  = retime(ACM_2,'monthly','mean');

% Computing Changes

TP_KW_quart_TP_4_change     = zeros(size(TP_KW_quart.TP_5,1)-4,1);
TP_KW_quart_TP_5_change     = zeros(size(TP_KW_quart.TP_5,1)-4,1);

KW_quart_EH_4_change        = zeros(size(KW_EH_quart.AER_4,1)-4,1);
KW_quart_Y_4_change         = zeros(size(KW_Y_quart.Y_4,1)-4,1);

TP_ACM_quart_TP_4_change    = zeros(size(TP_ACM_quart.TP_5,1)-4,1);
TP_ACM_quart_TP_5_change    = zeros(size(TP_ACM_quart.TP_5,1)-4,1);

nim_change                  = zeros(size(FRED.var1,1)-4,1);

for jj = 1:size(TP_KW_quart_TP_5_change,1)
    TP_KW_quart_TP_4_change(jj,1) = TP_KW_quart.TP_4(jj+4,1)-TP_KW_quart.TP_4(jj,1);
    TP_KW_quart_TP_5_change(jj,1) = TP_KW_quart.TP_5(jj+4,1)-TP_KW_quart.TP_5(jj,1);
    KW_quart_EH_4_change(jj,1)    = KW_EH_quart.AER_4(jj+4,1)-KW_EH_quart.AER_4(jj,1);
    KW_quart_Y_4_change(jj,1)     = KW_Y_quart.Y_4(jj+4,1)-KW_Y_quart.Y_4(jj,1);
end

for jj = 1:size(TP_ACM_quart_TP_5_change,1)
    TP_ACM_quart_TP_4_change(jj,1) = TP_ACM_quart.TP_4(jj+4,1)-TP_ACM_quart.TP_4(jj,1);
    TP_ACM_quart_TP_5_change(jj,1) = TP_ACM_quart.TP_5(jj+4,1)-TP_ACM_quart.TP_5(jj,1);
end

for jj = 1:size(nim_change,1)
    nim_change(jj,1)  = FRED.var1(jj+4,1)-FRED.var1(jj,1);
end

date_change              = FRED.date(5:end);
KW_quart_Date_change     = KW_EH_quart.DATE(5:end);
TP_KW_quart_Date_change  = TP_KW_quart.DATE(5:end);
TP_ACM_quart_Date_change = TP_ACM_quart.DATE(5:end);

% Supress recessionplot from showing up in legends
set(0,'DefaultLegendAutoUpdate','off')

%% (1) Figure 3.1:    NIM (FRED) & Term Premium (KW)

if plot_figures(1,1) == 1

    fig_1_NIM           = FRED.var1(FRED.date>=fig_1_startDate & FRED.date<=fig_1_endDate,1);
    fig_1_Dates         = FRED.date(FRED.date>=fig_1_startDate & FRED.date<=fig_1_endDate,1);
    fig_1_TP            = TP_KW_quart.TP_4(TP_KW_quart.DATE>=fig_1_startDate & TP_KW_quart.DATE<=fig_1_endDate,1);
    
    figure(1)
    yyaxis left
    plot(fig_1_Dates,fig_1_NIM,'Linewidth',3,'Color',rgb('Mediumblue'))
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([2.75 5.25])
    h_2 = gca;
    h_2.XTick = fig_1_Dates(2:16:end);
    datetick('x','yyyy','keepticks')
    yyaxis right
    plot(fig_1_Dates,fig_1_TP,'Linewidth',3,'Color',rgb('Crimson'))
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    axis tight
    hh = legend('Net Interest Margin U.S. Banks','Term Premium - 4 Year (Kim \& Wright)','Location','Northeast');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    ylim([-1.5 2.5])
    recessionplot
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_1_NIM_Term_Premium_KW')

end

%% (2) Figure A.3:    NIM (FRED) & Term Premium (ACM)

if plot_figures(1,2) == 1

    fig_2_NIM           = FRED.var1(FRED.date>=fig_2_startDate & FRED.date<=fig_2_endDate,1);
    fig_2_Dates         = FRED.date(FRED.date>=fig_2_startDate & FRED.date<=fig_2_endDate,1);
    fig_2_TP            = TP_ACM_quart.TP_4(TP_ACM_quart.DATE>=fig_2_startDate & TP_ACM_quart.DATE<=fig_2_endDate,1);

    figure(2)
    yyaxis left
    plot(fig_2_Dates,fig_2_NIM,'Linewidth',3,'Color',rgb('Mediumblue'))
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([2.85 5.35])
    h_2 = gca;
    h_2.XTick = fig_2_Dates(1:16:end);
    datetick('x','yyyy','keepticks')
    yyaxis right
    plot(fig_2_Dates,fig_2_TP,'Linewidth',3,'Color',rgb('Crimson'))
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    axis tight
    hh = legend('Net Interest Margin U.S. Banks','Term Premium - 4 Year (Adrian, Crump \& Moench)','Location','Northeast');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    ylim([-1 4])
    recessionplot
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_2_NIM_Term_Premium_ACM')

end

%% (3) Figure A.4:    NIM (FDIC) & Term Premium (ACM)

if plot_figures(1,3) == 1

    fig_3_NIM       = FDIC.var1(FDIC.date>=fig_3_startDate & FDIC.date<=fig_3_endDate,1);
    fig_3_Dates     = FDIC.date(FDIC.date>=fig_3_startDate & FDIC.date<=fig_3_endDate,1);
    fig_3_TP        = TP_ACM_annual.TP_4(TP_ACM_annual.DATE>=fig_3_startDate & TP_ACM_annual.DATE<=fig_3_endDate,1);
    
    figure(3)
    yyaxis left
    plot(fig_3_Dates,fig_3_NIM,'Linewidth',3,'Color',rgb('Mediumblue'))
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([2 4.5])
    h_2 = gca;
    h_2.XTick = fig_3_Dates(1:5:end);
    datetick('x','yyyy','keepticks')
    yyaxis right
    plot(fig_3_Dates,fig_3_TP,'Linewidth',3,'Color',rgb('Crimson'))
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    axis tight
    hh = legend('Net Interest Margin U.S. Banks','Term Premium - 4 Year (Adrian, Crump \& Moench)','Location','Northeast');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    ylim([-1 4])
    recessionplot
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_3_NIM_Term_Premium_FDIC')

end
    
%% (4) Figure 3.2:    NIM (FRED) & Term Premium Changes (KW)

if plot_figures(1,4) == 1

    fig_4_NIM_change    = nim_change(date_change>=fig_4_startDate & date_change<=fig_4_endDate,1);
    fig_4_Dates         = date_change(date_change>=fig_4_startDate & date_change<=fig_4_endDate,1);
    fig_4_TP_change     = TP_KW_quart_TP_4_change(TP_KW_quart_Date_change>=fig_4_startDate & TP_KW_quart_Date_change<=fig_4_endDate,1);

    figure(4)
    yyaxis left
    plot(fig_4_Dates,fig_4_NIM_change,'Linewidth',3,'Color',rgb('Mediumblue'))
    ylabel('Change from year ago, Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([-0.8 0.8])
    yyaxis right
    plot(fig_4_Dates,fig_4_TP_change,'Linewidth',3,'Color',rgb('Crimson'))
    ylabel('Change from year ago, Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    h_2 = gca;
    h_2.XTick = fig_4_Dates(1:12:end);
    datetick('x','yyyy','keepticks')
    axis tight
    hh = legend('Net Interest Margin U.S. Banks','Term Premium - 4 Year (Kim \& Wright)','Location','Northeast');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    ylim([-1.5 1.5])
    recessionplot
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_4_NIM_Term_Premium_changes_KW')

end

%% (5) Figure A.3:    NIM (FRED) & Term Premium Changes (ACM)

if plot_figures(1,5) == 1

    fig_5_NIM_change    = nim_change(date_change>=fig_5_startDate & date_change<=fig_5_endDate,1);
    fig_5_Dates         = date_change(date_change>=fig_5_startDate & date_change<=fig_5_endDate,1);
    fig_5_TP_change     = TP_ACM_quart_TP_4_change(TP_ACM_quart_Date_change>=fig_5_startDate & TP_ACM_quart_Date_change<=fig_5_endDate,1);

    figure(5)
    yyaxis left
    plot(fig_5_Dates,fig_5_NIM_change,'Linewidth',3,'Color',rgb('Mediumblue'))  
    ylabel('Change from year ago, Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([-0.8 0.8])
    yyaxis right
    plot(fig_5_Dates,fig_5_TP_change,'Linewidth',3,'Color',rgb('Crimson'))
    ylabel('Change from year ago, Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    h_2 = gca;
    h_2.XTick = fig_5_Dates(1:16:end);
    datetick('x','yyyy','keepticks')
    axis tight
    hh = legend('Net Interest Margin U.S. Banks','Term Premium - 4 Year (Adrian, Crump, Moench)','Location','Northeast');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    ylim([-1.75 1.75])
    recessionplot
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_5_NIM_Term_Premium_changes_ACM')

end

%% (6) Figure A.1:    NIM (FRED) & FFR

if plot_figures(1,6) == 1

    fig_6_NIM     = FRED.var1(FRED.date>=fig_6_startDate & FRED.date<=fig_6_endDate,1);
    fig_6_Dates   = FRED.date(FRED.date>=fig_6_startDate & FRED.date<=fig_6_endDate,1);
    fig_6_FFR     = FRED.var2(FRED.date>=fig_6_startDate & FRED.date<=fig_6_endDate,1);
    zero_line     = zeros(size(fig_6_NIM,1),1);
    
    figure(6)
    plot(fig_6_Dates,fig_6_NIM,'Linewidth',3,'Color',rgb('Mediumblue'))
    hold all
    plot(fig_6_Dates,fig_6_FFR,'Linewidth',3,'Color',rgb('Crimson'))  
    hold all
    plot(fig_6_Dates,zero_line,'Color','Black','Linewidth',2)
    ylabel('Percent or Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    h_2 = gca;
    h_2.XTick = fig_6_Dates(1:16:end);
    datetick('x','yyyy','keepticks')
    hh = legend('Net Interest Margin U.S. Banks','Effective Federal Funds Rate','Location','Northeast');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    ylim([-0.5 13])
    recessionplot;
    axis tight
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_6_NIM_FFR')

end

%% (7) Figure A.5:    NIM (FRED) & Term Spread (3Y-3M)

if plot_figures(1,7) == 1

    fig_7_NIM           = FRED.var1(FRED.date>=fig_7_startDate & FRED.date<=fig_7_endDate,1);
    fig_7_Dates         = FRED.date(FRED.date>=fig_7_startDate & FRED.date<=fig_7_endDate,1);
    fig_7_TSpread       = FRED.var3(FRED.date>=fig_7_startDate & FRED.date<=fig_7_endDate,1);
    zero_line           = zeros(size(fig_7_NIM,1),1);
    
    figure(7)
    yyaxis left
    plot(fig_7_Dates,fig_7_NIM,'Linewidth',3,'Color',rgb('Mediumblue'))  
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([2.75 5.25])
    yyaxis right
    plot(fig_7_Dates,fig_7_TSpread,'Linewidth',3,'Color',rgb('Crimson'))  
    hold all
    plot(fig_7_Dates,zero_line,'Color','Black','Linewidth',2)
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([-1 3.5])
    h_2 = gca;
    h_2.XTick = fig_7_Dates(1:16:end);
    datetick('x','yyyy','keepticks')
    hh = legend('Net Interest Margin U.S. Banks','Term Spread (3Year - 3Month)','Location','Northeast');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    recessionplot;
    axis tight
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_7_NIM_Term_Spread')

end

%% (8) Figure B.2:    Term Premia (KW)

if plot_figures(1,8) == 1

    fig_8_Dates         = TP_KW_month.DATE(TP_KW_month.DATE>=fig_8_startDate & TP_KW_month.DATE<=fig_8_endDate,1);
    fig_8_TP_2          = TP_KW_month.TP_2(TP_KW_month.DATE>=fig_8_startDate & TP_KW_month.DATE<=fig_8_endDate,1);
    fig_8_TP_5          = TP_KW_month.TP_5(TP_KW_month.DATE>=fig_8_startDate & TP_KW_month.DATE<=fig_8_endDate,1);
    fig_8_TP_10         = TP_KW_month.TP_10(TP_KW_month.DATE>=fig_8_startDate & TP_KW_month.DATE<=fig_8_endDate,1);
    zero_line           = zeros(size(fig_8_TP_2,1),1);

    figure(8)
    plot(fig_8_Dates,fig_8_TP_10,'Linewidth',2.5,'Color',rgb('Mediumblue'))
    hold all
    plot(fig_8_Dates,fig_8_TP_5,'Linewidth',2.5,'Color',rgb('Crimson'))
    plot(fig_8_Dates,fig_8_TP_2,'Linewidth',2.5,'Color',rgb('Darkgreen'))
    plot(fig_8_Dates,zero_line,'Color','Black','Linewidth',2)
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([-1.5 3.25])
    h_2 = gca;
    h_2.XTick = fig_8_Dates(6:48:end);
    datetick('x','yyyy','keepticks')
    hh = legend('10 Year','5 Year','2 Year','Location','Northeast');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    recessionplot;
    axis tight
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_8_Term_Premia_KW')

end

%% (10) Figure H.2:   Maturity Gap

if plot_figures(1,10) == 1
    
    fig_10_Mat_gap1     = MG.var2(MG.date>=fig_10_startDate & MG.date<=fig_10_endDate,1);
    fig_10_Mat_gap2     = MG.var3(MG.date>=fig_10_startDate & MG.date<=fig_10_endDate,1);
    fig_10_Mat_gap3     = MG.var4(MG.date>=fig_10_startDate & MG.date<=fig_10_endDate,1);
    fig_10_Mat_gap4     = MG.var5(MG.date>=fig_10_startDate & MG.date<=fig_10_endDate,1);
    fig_10_Mat_gap5     = MG.var6(MG.date>=fig_10_startDate & MG.date<=fig_10_endDate,1);
    fig_10_Dates        = MG.date(MG.date>=fig_10_startDate & MG.date<=fig_10_endDate,1);
    
    figure(10)
    plot(fig_10_Dates,fig_10_Mat_gap5,'Linewidth',1,'Color',rgb('Mediumblue'))
    hold all
    plot(fig_10_Dates,fig_10_Mat_gap4,'Linewidth',1,'Color',rgb('Mediumblue'))
    plot(fig_10_Dates,fig_10_Mat_gap3,'Linewidth',3,'Color',rgb('Mediumblue'))
    plot(fig_10_Dates,fig_10_Mat_gap2,'Linewidth',1,'Color',rgb('Mediumblue'))
    plot(fig_10_Dates,fig_10_Mat_gap1,'Linewidth',1,'Color',rgb('Mediumblue'))
    ciplot(fig_10_Mat_gap1,fig_10_Mat_gap5,fig_10_Dates);
    ciplot(fig_10_Mat_gap2,fig_10_Mat_gap4,fig_10_Dates);
    ylabel('Years','Fontsize',24,'FontName','Palatino','Interpreter','Latex')
    ylim([0 10])
    h_2 = gca;
    h_2.XTick = fig_10_Dates(4:16:end);
    datetick('x','yyyy','keepticks')
    set(gca,'Box','on','FontSize', 20)
    recessionplot;
    axis tight
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_10_Maturity_gap')

end

%% (11) Figure H.1:   Income Gap

if plot_figures(1,11) == 1

    fig_11_Dates         = IG.date(IG.date>=fig_11_startDate & IG.date<=fig_11_endDate,1);
    fig_11_inc_gap       = IG.var1(IG.date>=fig_11_startDate & IG.date<=fig_11_endDate,1);
    fig_11_inc_gap_cr    = IG.var2(IG.date>=fig_11_startDate & IG.date<=fig_11_endDate,1);
    
    figure(11)
    plot(fig_11_Dates,100*fig_11_inc_gap, 'Linewidth',3,'Color',rgb('Mediumblue'))
    hold all
    plot(fig_11_Dates,100*fig_11_inc_gap_cr,'Linewidth',3,'Color',rgb('Crimson'))
    ylabel('Percentage Points','Fontsize',24,'FontName','Palatino','Interpreter','Latex')
    h_2 = gca;
    h_2.XTick = fig_11_Dates(4:16:end);
    datetick('x','yyyy','keepticks')
    hh = legend('Income Gap - Y9C','Income Gap - Call Reports','Location','Northwest');
    set(gca,'Box','on','FontSize', 20)
    ylim([-1 22])
    recessionplot
    axis tight
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_11_Income_gap')

end

%% (12) Figure A.6:   Net Income

if plot_figures(1,12) == 1

    fig_12_Dates            = CR.date(CR.date>=fig_12_startDate & CR.date<=fig_12_endDate,1);
    fig_12_net_int_inc      = CR.net_int_inc(CR.date>=fig_12_startDate & CR.date<=fig_12_endDate,1);
    fig_12_net_nonint_inc   = CR.net_nonint_inc(CR.date>=fig_12_startDate & CR.date<=fig_12_endDate,1);
    fig_12_net_inc          = CR.net_inc(CR.date>=fig_12_startDate & CR.date<=fig_12_endDate,1);
    fig_12_other_provision  = CR.other_provision(CR.date>=fig_12_startDate & CR.date<=fig_12_endDate,1);
    fig_12_other_income     = CR.other_income(CR.date>=fig_12_startDate & CR.date<=fig_12_endDate,1);
    zero_line               = zeros(size(fig_12_net_int_inc,1),1);
    
    figure(12)
    plot(fig_12_Dates,fig_12_net_int_inc,'Linewidth', 3, 'Color', rgb('Mediumblue'))
    hold all
    plot(fig_12_Dates,fig_12_net_inc,'Linewidth', 3, 'Color', rgb('Green'))
    plot(fig_12_Dates,fig_12_other_provision,'Linewidth', 3, 'Color', rgb('Orange'))
    plot(fig_12_Dates,fig_12_other_income,'Linewidth', 3, 'Color', rgb('Gray'))
    plot(fig_12_Dates,fig_12_net_nonint_inc,'Linewidth', 3, 'Color', rgb('Crimson'))
    plot(fig_12_Dates,zero_line,'Color','Black','Linewidth',2);
    ylabel('Percent or Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([-3 4.5]);
    h_2 = gca;
    h_2.XTick = fig_12_Dates(3:16:end);
    datetick('x','yyyy','keepticks')
    set(gca,'Box','on','FontSize', 20)
    hh = legend('Net Interest Margin','Net Income','Provision Loan Losses','Other Income','Net Noninterest Income','Location','Northwest');
    set(hh,'fontsize',18,'FontName','Palatino','Interpreter','Latex')
    recessionplot
    axis tight
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_12_net_income')

end

%% (13) Figure A.8:   Non-interest

if plot_figures(1,13) == 1

    fig_13_Dates            = CR.date(CR.date>=fig_13_startDate & CR.date<=fig_13_endDate,1);
    fig_13_net_nonint_inc   = CR.net_nonint_inc(CR.date>=fig_13_startDate & CR.date<=fig_13_endDate,1);
    fig_13_nonint_exp       = -CR.nonint_exp(CR.date>=fig_13_startDate & CR.date<=fig_13_endDate,1);
    fig_13_nonint_inc       = CR.nonint_inc(CR.date>=fig_13_startDate & CR.date<=fig_13_endDate,1);
    zero_line               = zeros(size(fig_13_net_nonint_inc,1),1);
    
    figure(13)
    plot(fig_13_Dates, fig_13_nonint_inc, 'Linewidth', 3, 'Color', rgb('Green'))
    hold all
    plot(fig_13_Dates, fig_13_net_nonint_inc, 'Linewidth', 3, 'Color', rgb('Mediumblue'))
    plot(fig_13_Dates, fig_13_nonint_exp, 'Linewidth', 3, 'Color', rgb('Crimson'))
    plot(fig_13_Dates,zero_line,'Color','Black','Linewidth',2);
    ylabel('Percent or Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([-4.5 2.75]);
    h_2 = gca;
    h_2.XTick = fig_13_Dates(3:16:end);
    datetick('x','yyyy','keepticks')
    set(gca,'Box','on','FontSize', 20)
    hh = legend('Noninterest Income','Net Noninterest Income','Noninterest Expenses','Location','Northeast');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    recessionplot
    axis tight
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_13_Netnoninterest')

end

%% (14) Figure A.7:   Long-view NIM & ROA

if plot_figures(1,15) == 1
    
    fig_15_NIM       = FDIC.var1(FDIC.date>=fig_15_startDate & FDIC.date<=fig_15_endDate,1);
    fig_15_ROA       = FDIC.var2(FDIC.date>=fig_15_startDate & FDIC.date<=fig_15_endDate,1);
    fig_15_Dates     = FDIC.date(FDIC.date>=fig_15_startDate & FDIC.date<=fig_15_endDate,1);
    zero_line        = zeros(size(fig_15_NIM,1),1);
    
    figure(15)
    plot(fig_15_Dates,fig_15_NIM,'Linewidth',3,'Color',rgb('Mediumblue'))
    hold all
    plot(fig_15_Dates,fig_15_ROA,'Linewidth',3,'Color',rgb('Crimson'))
    plot(fig_15_Dates,zero_line,'Color','Black','Linewidth',2);
    ylabel('Percent or Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    h_2 = gca;
    h_2.XTick = fig_15_Dates(1:10:end);
    axis tight
    hh = legend('Net Interest Margin','Return on Assets','Location','Northwest');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    ylim([-1.5 4.5])
    recessionplot
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_15_NIM_ROA_FDIC')
    
end

%% (16) Figure B.3:   Term Premia (ACM-Reestimated)

if plot_figures(1,16) == 1

    fig_16_Dates         = TP_ACM_month_rest.DATE(TP_ACM_month_rest.DATE>=fig_16_startDate & TP_ACM_month_rest.DATE<=fig_16_endDate,1);
    fig_16_TP_2          = TP_ACM_month_rest.TP_2(TP_ACM_month_rest.DATE>=fig_16_startDate & TP_ACM_month_rest.DATE<=fig_16_endDate,1);
    fig_16_TP_5          = TP_ACM_month_rest.TP_5(TP_ACM_month_rest.DATE>=fig_16_startDate & TP_ACM_month_rest.DATE<=fig_16_endDate,1);
    fig_16_TP_10         = TP_ACM_month_rest.TP_10(TP_ACM_month_rest.DATE>=fig_16_startDate & TP_ACM_month_rest.DATE<=fig_16_endDate,1);
    zero_line            = zeros(size(fig_16_TP_2,1),1);

    figure(16)
    plot(fig_16_Dates,fig_16_TP_10,'Linewidth',2.5,'Color',rgb('Mediumblue'))
    hold all
    plot(fig_16_Dates,fig_16_TP_5,'Linewidth',2.5,'Color',rgb('Crimson'))
    plot(fig_16_Dates,fig_16_TP_2,'Linewidth',2.5,'Color',rgb('Darkgreen'))
    plot(fig_16_Dates,zero_line,'Color','Black','Linewidth',2)
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([-1 5])
    h_2 = gca;
    h_2.XTick = fig_16_Dates(6:48:end);
    datetick('x','yyyy','keepticks')
    hh = legend('10 Year','5 Year','2 Year','Location','Northeast');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    recessionplot;
    axis tight
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_16_Term_Premia_ACM_reestimated')

end

%% (17) Figure B.1:   GZ-Spread

if plot_figures(1,17) == 1

    fig_17_Dates         = GZ.date(GZ.date>=fig_17_startDate & GZ.date<=fig_17_endDate,1);
    fig_17_GZ_Spread     = GZ.var1(GZ.date>=fig_17_startDate & GZ.date<=fig_17_endDate,1);
    fig_17_EBD           = GZ.var2(GZ.date>=fig_17_startDate & GZ.date<=fig_17_endDate,1);
    zero_line            = zeros(size(fig_17_EBD,1),1);

    figure(17)
    plot(fig_17_Dates,fig_17_GZ_Spread,'Linewidth',2.5,'Color',rgb('Mediumblue'))
    hold all
    plot(fig_17_Dates,fig_17_EBD,'Linewidth',2.5,'Color',rgb('Crimson'))
    plot(fig_17_Dates,zero_line,'Color','Black','Linewidth',2)
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([-2 9])
    h_2 = gca;
    h_2.XTick = fig_17_Dates(1:60:end);
    datetick('x','yyyy','keepticks')
    hh = legend('GZ Spread','Excess Bond Premium','Location','Northwest');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    recessionplot;
    axis tight
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_17_GZ')

end

% %% Figure 14:   Non-interest Expenses
% 
% if plot_figures(1,14) == 1
% 
%     fig_14_Dates            = CR.date(CR.date>=fig_14_startDate & CR.date<=fig_14_endDate,1);
%     fig_14_nonint_exp       = CR.nonint_exp(CR.date>=fig_14_startDate & CR.date<=fig_14_endDate,1);
%     fig_14_exp_salaries     = CR.exp_salaries(CR.date>=fig_14_startDate & CR.date<=fig_14_endDate,1);
%     fig_14_exp_residual     = CR.exp_residual(CR.date>=fig_14_startDate & CR.date<=fig_14_endDate,1);
%     fig_14_exp_other        = CR.exp_other(CR.date>=fig_14_startDate & CR.date<=fig_14_endDate,1);
%     fig_14_exp_good_imp     = CR.exp_good_imp(CR.date>=fig_14_startDate & CR.date<=fig_14_endDate,1);
%     zero_line               = zeros(size(fig_14_nonint_exp,1),1);
% 
%     figure(14)
%     plot(fig_14_Dates,fig_14_nonint_exp, 'Linewidth', 3, 'Color', rgb('Green'))
%     hold all
%     plot(fig_14_Dates,fig_14_exp_salaries, 'Linewidth', 3, 'Color', rgb('Mediumblue'))
%     plot(fig_14_Dates,fig_14_exp_other, 'Linewidth', 3, 'Color', rgb('Orange'))
%     plot(fig_14_Dates,fig_14_exp_residual, 'Linewidth', 3, 'Color', rgb('Crimson'))
%     plot(fig_14_Dates,fig_14_exp_good_imp, 'Linewidth', 3, 'Color', rgb('Gray'))
%     ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
%     ylim([-0.25 4]);
%     h_2 = gca;
%     h_2.XTick = fig_14_Dates(3:16:end);
%     datetick('x','yyyy','keepticks')
%     set(gca,'Box','on','FontSize', 20)
%     hh = legend('Noninterest Expenses','Salary and Employee Benefits','Other Noninterest Expenses','Residual','Goodwill Impairment Losses','Location','Northeast');
%     set(hh,'fontsize',18,'FontName','Palatino','Interpreter','Latex')
%     recessionplot;
%     axis tight
%     h = gcf;
%     set(h,'PaperPositionMode','auto')
%     set(h,'PaperOrientation','portrait')
%     set(h,'Position',[0 0 1100 700])
%     tightfig
%     print(h,'-depsc','Output\Fig_14_Noninterest_exp')
% 
% end

%% (18) Figure A.2:   EH and NIM

if plot_figures(1,18) == 1

    fig_18_NIM          = FRED.var1(FRED.date>=fig_18_startDate & FRED.date<=fig_18_endDate,1);
    fig_18_Dates        = FRED.date(FRED.date>=fig_18_startDate & FRED.date<=fig_18_endDate,1);
    fig_18_EH           = KW_EH_quart.AER_4(KW_EH_quart.DATE>=fig_18_startDate & KW_EH_quart.DATE<=fig_18_endDate,1);
    fig_18_Y            = KW_Y_quart.Y_4(KW_EH_quart.DATE>=fig_18_startDate & KW_EH_quart.DATE<=fig_18_endDate,1);
    
    figure(18)
    yyaxis left
    plot(fig_18_Dates,fig_18_NIM,'Linewidth',3,'Color',rgb('Mediumblue'))
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([2.75 5.25])
    h_2 = gca;
    h_2.XTick = fig_18_Dates(2:16:end);
    datetick('x','yyyy','keepticks')
    yyaxis right
    hold on;
    plot(fig_18_Dates,fig_18_Y,'Linewidth',3,'Color',rgb('Crimson'))
    plot(fig_18_Dates,fig_18_EH,'Linewidth',3,'Color',rgb('Darkgreen'))
    hold off;
    ylabel('Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    axis tight
    hh = legend('Net Interest Margin U.S. Banks','Gov. Yield - 4 Year (Kim \& Wright)','Exp. Short-Rates - 4 Year (Kim \& Wright)','Location','Northeast');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    ylim([0 8])
    recessionplot
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_18_NIM_EH_KW')

end

%% (19) Figure A.2:   NIM (FRED) & EH Changes (KW)

if plot_figures(1,19) == 1

    fig_19_NIM_change    = nim_change(date_change>=fig_19_startDate & date_change<=fig_19_endDate,1);
    fig_19_Dates         = date_change(date_change>=fig_19_startDate & date_change<=fig_19_endDate,1);
    fig_19_EH_change     = KW_quart_EH_4_change(KW_quart_Date_change>=fig_19_startDate & KW_quart_Date_change<=fig_19_endDate,1);
    fig_19_Y_change      = KW_quart_Y_4_change(KW_quart_Date_change>=fig_19_startDate & KW_quart_Date_change<=fig_19_endDate,1);

    figure(19)
    yyaxis left
    plot(fig_19_Dates,fig_19_NIM_change,'Linewidth',3,'Color',rgb('Mediumblue'))
    ylabel('Change from year ago, Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    ylim([-0.8 1])
    yyaxis right
    hold on;
    plot(fig_19_Dates,fig_19_Y_change,'Linewidth',3,'Color',rgb('Crimson'))
    plot(fig_19_Dates,fig_19_EH_change,'Linewidth',3,'Color',rgb('Darkgreen'))
    hold off;
    ylabel('Change from year ago, Percentage Points','Fontsize',20,'FontName','Palatino','Interpreter','Latex')
    h_2 = gca;
    h_2.XTick = fig_19_Dates(1:12:end);
    datetick('x','yyyy','keepticks')
    axis tight
    hh = legend('Net Interest Margin U.S. Banks','Gov. Yield - 4 Year (Kim \& Wright)','Exp. Short-Rates - 4 Year (Kim \& Wright)','Location','Northeast');
    set(hh,'fontsize',20,'FontName','Palatino','Interpreter','Latex')
    set(gca,'Box','on','FontSize', 20)
    ylim([-3 4])
    recessionplot
    h = gcf;
    set(h,'PaperPositionMode','auto')
    set(h,'PaperOrientation','portrait')
    set(h,'Position',[0 0 1300 700])
    tightfig
    print(h,'-depsc','Output\Fig_19_NIM_EH_changes_KW')

end