
%% Impulse Responses of Profit Margins

%% Load Data

data = xlsread('IRFs_matlab_agg.xls','net_inc_reg');

net_inc_TB          = data(:,2);
net_inc_EH          = data(:,4);
net_inc_TP          = data(:,6);

net_inc_TB_inner_1  = data(:,8);
net_inc_TB_inner_2  = data(:,9);
net_inc_TB_outer_1  = data(:,10);
net_inc_TB_outer_2  = data(:,11);

net_inc_EH_inner_1  = data(:,12);
net_inc_EH_inner_2  = data(:,13);
net_inc_EH_outer_1  = data(:,14);
net_inc_EH_outer_2  = data(:,15);

net_inc_TP_inner_1  = data(:,16);
net_inc_TP_inner_2  = data(:,17);
net_inc_TP_outer_1  = data(:,18);
net_inc_TP_outer_2  = data(:,19);

data = xlsread('IRFs_matlab_agg.xls','nim_reg');

nim_TB          = data(:,2);
nim_EH          = data(:,4);
nim_TP          = data(:,6);

nim_TB_inner_1  = data(:,8);
nim_TB_inner_2  = data(:,9);
nim_TB_outer_1  = data(:,10);
nim_TB_outer_2  = data(:,11);

nim_EH_inner_1  = data(:,12);
nim_EH_inner_2  = data(:,13);
nim_EH_outer_1  = data(:,14);
nim_EH_outer_2  = data(:,15);

nim_TP_inner_1  = data(:,16);
nim_TP_inner_2  = data(:,17);
nim_TP_outer_1  = data(:,18);
nim_TP_outer_2  = data(:,19);

%% Figure

zero_line  = zeros(size(nim_EH,1),1);

figure(1)
subplot(2,3,1)
hold on;
plot(zero_line,'black','HandleVisibility','off')
plot(nim_TB,'-','Linewidth',3,'Color',rgb('Mediumblue'))
plot(nim_TB_inner_1,'b','Linewidth',1,'Color',rgb('Mediumblue'))
plot(nim_TB_inner_2,'b','Linewidth',1,'Color',rgb('Mediumblue'))
ciplot(nim_TB_inner_1,nim_TB_inner_2,1:11,[0.5,0.5,0.9],0.15);
ciplot(nim_TB_outer_1,nim_TB_outer_2,1:11,[0.5,0.5,0.9],0.15);
hold off;
axis tight
grid on
set(gca,'Box','on','FontSize',18,'GridLineStyle','--')
xlim([1 size(nim_TP,1)])
ylim([-8 2])
xticks(1:2:size(nim_TP,1))
xticklabels({'0','2','4','6','8','10'})    
ax = gca;
ax.GridAlpha = .5;
ylabel('Percentage Points','fontsize',20,'FontName','Palatino','Interpreter','Latex')
title('$Y^{3M}_{t}$ $\rightarrow$ Net Interest Margin','fontsize',18,'FontName','Palatino','Interpreter','Latex');

subplot(2,3,2)
hold on;
plot(zero_line,'black','HandleVisibility','off')
plot(nim_EH,'-','Linewidth',3,'Color',rgb('Mediumblue'))
plot(nim_EH_inner_1,'b','Linewidth',1,'Color',rgb('Mediumblue'))
plot(nim_EH_inner_2,'b','Linewidth',1,'Color',rgb('Mediumblue'))
ciplot(nim_EH_inner_1,nim_EH_inner_2,1:11,[0.5,0.5,0.9],0.15);
ciplot(nim_EH_outer_1,nim_EH_outer_2,1:11,[0.5,0.5,0.9],0.15);
hold off;
axis tight
grid on
set(gca,'Box','on','FontSize',18,'GridLineStyle','--')
xlim([1 size(nim_TP,1)])
ylim([-8 2])
xticks(1:2:size(nim_TP,1))
xticklabels({'0','2','4','6','8','10'})    
ax = gca;
ax.GridAlpha = .5;
title('$(EH^{m}_{t}-Y^{3M}_{t})$ $\rightarrow$ Net Interest Margin','fontsize',18,'FontName','Palatino','Interpreter','Latex');

subplot(2,3,3)
hold on;
plot(zero_line,'black','HandleVisibility','off')
plot(nim_TP,'-','Linewidth',3,'Color',rgb('Mediumblue'))
plot(nim_TP_inner_1,'b','Linewidth',1,'Color',rgb('Mediumblue'))
plot(nim_TP_inner_2,'b','Linewidth',1,'Color',rgb('Mediumblue'))
ciplot(nim_TP_inner_1,nim_TP_inner_2,1:11,[0.5,0.5,0.9],0.15);
ciplot(nim_TP_outer_1,nim_TP_outer_2,1:11,[0.5,0.5,0.9],0.15);
hold off;
axis tight
grid on
set(gca,'Box','on','FontSize',18,'GridLineStyle','--')
xlim([1 size(nim_TP,1)])
ylim([-2 4])
xticks(1:2:size(nim_TP,1))
xticklabels({'0','2','4','6','8','10'})    
ax = gca;
ax.GridAlpha = .5;
title('$TP^{m}_{t}$ $\rightarrow$ Net Interest Margin','fontsize',18,'FontName','Palatino','Interpreter','Latex');

subplot(2,3,4)
hold on;
plot(zero_line,'black','HandleVisibility','off')
plot(net_inc_TB,'-','Linewidth',3,'Color',rgb('Mediumblue'))
plot(net_inc_TB_inner_1,'b','Linewidth',1,'Color',rgb('Mediumblue'))
plot(net_inc_TB_inner_2,'b','Linewidth',1,'Color',rgb('Mediumblue'))
ciplot(net_inc_TB_inner_1,net_inc_TB_inner_2,1:11,[0.5,0.5,0.9],0.15);
ciplot(net_inc_TB_outer_1,net_inc_TB_outer_2,1:11,[0.5,0.5,0.9],0.15);
hold off;
axis tight
grid on
set(gca,'Box','on','FontSize',18,'GridLineStyle','--')
xlim([1 size(net_inc_TP,1)])
ylim([-4 1.5])
xticks(1:2:size(net_inc_TP,1))
xticklabels({'0','2','4','6','8','10'})    
ax = gca;
ax.GridAlpha = .5;
xlabel('Quarter (h)','fontsize',20,'FontName','Palatino','Interpreter','Latex')
ylabel('Percentage Points','fontsize',20,'FontName','Palatino','Interpreter','Latex')
title('$Y^{3M}_{t}$ $\rightarrow$ Net Income','fontsize',18,'FontName','Palatino','Interpreter','Latex');

subplot(2,3,5)
hold on;
plot(zero_line,'black','HandleVisibility','off')
plot(net_inc_EH,'-','Linewidth',3,'Color',rgb('Mediumblue'))
plot(net_inc_EH_inner_1,'b','Linewidth',1,'Color',rgb('Mediumblue'))
plot(net_inc_EH_inner_2,'b','Linewidth',1,'Color',rgb('Mediumblue'))
ciplot(net_inc_EH_inner_1,net_inc_EH_inner_2,1:11,[0.5,0.5,0.9],0.15);
ciplot(net_inc_EH_outer_1,net_inc_EH_outer_2,1:11,[0.5,0.5,0.9],0.15);
hold off;
axis tight
grid on
set(gca,'Box','on','FontSize',18,'GridLineStyle','--')
xlim([1 size(net_inc_TP,1)])
ylim([-4 1.5])
xticks(1:2:size(net_inc_TP,1))
xticklabels({'0','2','4','6','8','10'})    
ax = gca;
ax.GridAlpha = .5;
xlabel('Quarter (h)','fontsize',20,'FontName','Palatino','Interpreter','Latex')
title('$(EH^{m}_{t}-Y^{3M}_{t})$ $\rightarrow$ Net Income','fontsize',18,'FontName','Palatino','Interpreter','Latex');

subplot(2,3,6)
hold on;
plot(zero_line,'black','HandleVisibility','off')
plot(net_inc_TP,'-','Linewidth',3,'Color',rgb('Mediumblue'))
plot(net_inc_TP_inner_1,'b','Linewidth',1,'Color',rgb('Mediumblue'))
plot(net_inc_TP_inner_2,'b','Linewidth',1,'Color',rgb('Mediumblue'))
ciplot(net_inc_TP_inner_1,net_inc_TP_inner_2,1:11,[0.5,0.5,0.9],0.15);
ciplot(net_inc_TP_outer_1,net_inc_TP_outer_2,1:11,[0.5,0.5,0.9],0.15);
hold off;
axis tight
grid on
set(gca,'Box','on','FontSize',18,'GridLineStyle','--')
xlim([1 size(net_inc_TP,1)])
ylim([-0.5 2])
xticks(1:2:size(net_inc_TP,1))
xticklabels({'0','2','4','6','8','10'})    
ax = gca;
ax.GridAlpha = .5;
xlabel('Quarter (h)','fontsize',20,'FontName','Palatino','Interpreter','Latex')
title('$TP^{m}_{t}$ $\rightarrow$ Net Income','fontsize',18,'FontName','Palatino','Interpreter','Latex');

h = gcf;
set(h, 'PaperPositionMode','auto','Position',[0 0 1800 1000])
tightfig;
print(h,'-depsc','IRF_profit_margin')
